#!/usr/bin/python
# -*- coding: utf-8 -*-
"""
Documentación para la segunda tarea (ejercicios 1) de la materia de Tópicos Avanzados de Programación.
Maestría GeoInteligencia Computacional a 27 de Enero del 2019.
"""
def numerPar():
	'''
		Función que devuelve los números pares de una lista que el usuario pase como argumento		
	'''
	lista=[x for x in range(0,21) if x%2==0]
	return  lista

def numerMay(l1):
	'''
		Función que devuelve los números estrictamente mayores a 10 de una lista que el usuario pase como argumento
	'''
	lista=[x for x in l1 if x>10]
	return lista

def coincide(l1,l2):
	'''
		Función que devuelve todos los elementos coincidentes de un par de listas que el usuario pase como argumento
	'''
	coin=set([x for x in l1 if x in l2])
	return coin
